summaryrefslogtreecommitdiffstats
path: root/scripts/lib/ptxd_make_xpkg_pkg.sh
diff options
context:
space:
mode:
authorMichael Olbrich <m.olbrich@pengutronix.de>2016-05-31 06:19:05 +0200
committerMichael Olbrich <m.olbrich@pengutronix.de>2016-07-01 08:46:03 +0200
commit341e769a26ff51029c1a5788872937f7f10e1ba5 (patch)
tree5a6b108f032d31274de1cf6fc4f0ea41ef95fe1b /scripts/lib/ptxd_make_xpkg_pkg.sh
parent073ee8b79a6b3170b4fc5585c7e40bad4aefd384 (diff)
downloadptxdist-341e769a26ff51029c1a5788872937f7f10e1ba5.tar.gz
ptxdist-341e769a26ff51029c1a5788872937f7f10e1ba5.tar.xz
ptxd_make_xpkg_pkg: fix strip detection.ptxdist-2016.05.1stable/ptxdist-2016.05.x
Without this, the strip argument is ignored. As a result, all kernel modules are broken. Also, always run readelf for now. Anything else breaks the current kernel and glibc packages. Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de> (cherry picked from commit c4dd3b50ce90c145bdf611cf822ea093e96c011b) Signed-off-by: Michael Olbrich <m.olbrich@pengutronix.de>
Diffstat (limited to 'scripts/lib/ptxd_make_xpkg_pkg.sh')
-rw-r--r--scripts/lib/ptxd_make_xpkg_pkg.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/scripts/lib/ptxd_make_xpkg_pkg.sh b/scripts/lib/ptxd_make_xpkg_pkg.sh
index 79f98cf4b..f5be3ac6a 100644
--- a/scripts/lib/ptxd_make_xpkg_pkg.sh
+++ b/scripts/lib/ptxd_make_xpkg_pkg.sh
@@ -314,11 +314,11 @@ install ${cmd}:
echo "using '$(ptxd_print_path "${src}")' instead"
fi &&
- if [ -z "${stip}" ]; then
- if readelf -h "${src}" &> /dev/null; then
- strip="y"
- else
+ if [ "${strip}" != "n" ]; then
+ if ! readelf -h "${src}" &> /dev/null; then
strip="n"
+ elif [ -z "${strip}" ]; then
+ strip="y"
fi
fi